import { Post } from "./post";

export class Citation {

    private sourcePost: Post;
    private citedPost: Post;
    private impact: number

    constructor(source: Post, cited:Post, impact: number) {
        this.sourcePost = source;
        this.citedPost = cited;
        this.impact = impact;
    }

    public getSourcePost() { return this.sourcePost; }
    public getCitedPost() { return this.citedPost; }
    public getImpact() { return this.impact; }

    public isNeutral() { return this.impact == 0; }
    public isNegative() { return this.impact < 0; }
    public isPositive() { return this.impact > 0; }
    
}  